import std.algorithm.iteration : filter;
import std.algorithm.searching : count;
import std.ascii : isAlpha, isWhite;
import std.file : read;
import std.stdio : writefln;

void main(string[] argv)
{
	auto fileContent = cast(string)read(argv[1]);
	auto totalLetters =
		count(filter!(a => isAlpha(a) || isWhite(a))(fileContent));
	auto percentage = (totalLetters * 100) / cast(double)fileContent.length;

	writefln("Letters: %.0f%%", percentage);
}
